
%define major 3
%define libname %mklibname cec %major
%define devname %mklibname cec -d

Name:		libcec
Version:	3.1.0
Release:        %mkrel 1
Summary:	Pulse-Eight CEC adapter control library
License:	GPLv2+
Group:		System/Libraries
URL:		http://libcec.pulse-eight.com/
Source0:	http://github.com/Pulse-Eight/libcec/archive/libcec-%version.tar.xz
#--------------------------------------
BuildRequires: %{_lib}lockdev1-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}platform-devel
#--------------------------------------

%description
With libcec you can access your Pulse-Eight CEC adapter.

%package -n cec-utils
Summary: Utilities for Pulse-Eight CEC adapter control
Group: System/Libraries
Requires:	%libname = %version

%description -n cec-utils
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the command-line tools to configure and test your
Pulse-Eight CEC adapter.

%package -n %libname
Summary: Shared library for Pulse-Eight CEC adapter control
Group: System/Libraries

%description -n %libname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the shared library which allows programs to access your
Pulse-Eight CEC adapter.

%package -n %devname
Summary: Development files for %name
Group: Development/Libraries
Requires: %libname = %version
Provides: cec-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %devname
With libcec you can access your Pulse-Eight CEC adapter.

This package contains the files for developing applications which
will use libcec.

%package -n python-%{name}
Summary:        Python bindings for %{name}
Group:          Development/Python
%py_requires

%description -n python-%{name}
This package contains python bindings


%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -ltinfo" 
%cmake
%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

install -d %{buildroot}%{python_sitearch}
mv %{buildroot}/usr/lib/python2.7/dist-packages %{buildroot}%{python_sitearch}


rm -f %{buildroot}%{_libdir}/*.la

%files -n cec-utils
%{_bindir}/cec-client-%{version}
%{_bindir}/cecc-client
%{_bindir}/cecc-client-%{version}
%{_bindir}/cec-client

%files -n %libname
%{_libdir}/%name.so.%{major}*

%files -n %devname
%{_libdir}/%name.so
%{_libdir}/pkgconfig/%name.pc
%{_includedir}/%name/*.h

%files -n python-%{name}
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/pyCecClient.py
%{python_sitearch}/*

%changelog
* Mon Feb 22 2016 bb <bb> 3.1.0-1pclos2016
- update for kodi 16.0

* Wed Jul 22 2015 bb <bb> 3.0.0-1pclos2015
- update for kodi 15.0

* Wed Jan 04 2015 bb <bb> 2.2.0-2pclos2015
- rebuild new glibc

* Sat Dec 27 2014 pinoc <vogtpet at gmail.com> 2.2.0-1pclos2015
- 2.2.0 (needed for Kodi)

* Sun Oct 06 2013 billybot <billybot> 2.1.1-1pclos2013
- update due to compile errors on previous version

